
xc = dlmread('frankeProblemCenters.txt',' ');     %  N data points
xs = dlmread('frankeProblemCentersLsq.txt',' ');  %  S centers, xs a subset of xc           
 x = dlmread('frankeProblemEvaluationPoints.txt',' ');  % M evaluation points
     
     N = length(xc(:,1));  M = length(x(:,1));  S = length(xs(:,1));
     
         f = frankesFunction(xc(:,1),xc(:,2));
    fExact = frankesFunction(x(:,1),x(:,2));
    
    r = zeros(N,S);
    for i=1:N
      for j=1:S
        r(i,j) = sqrt( ( xc(i,1) - xs(j,1)  )^2 + ( xc(i,2) - xs(j,2) )^2  );
      end
    end
    
    rh = zeros(M,S);
    for i=1:M
      for j=1:S
        rh(i,j) = sqrt( ( x(i,1) - xs(j,1)  )^2 + ( x(i,2) - xs(j,2) )^2  );
      end
    end

        shape = 2.6;
            B = mq(r,shape);   %  system matrix
        lambda = B\f;
   
          H = mq(rh,shape);
    fApprox = H*lambda;
    
    maxError = norm(fApprox - fExact,inf)
