function neighbors = generateACBFStencils(x,y,ns,specialI)
 
                   n = length(x);
  numberOfSpecialPts = length(specialI);
           neighbors = zeros(n,ns+numberOfSpecialPts);

         xt = x;  yt = y;
         x(specialI) = 1e15;
         y(specialI) = 1e15;

for i=1:n
      neighbors(i,1:numberOfSpecialPts) = specialI;
                                     x0 = x(i); 
                                     y0 = y(i);
                                      r = sqrt((x(:)-x0).^2 + (y(:)-y0).^2);
                                 [r,ix] = sort(r);
  neighbors(i,numberOfSpecialPts+1:end) = ix(1:ns);       
end        
            
% -- redo the special points ---------------------------

x = xt; y = yt;
for j=1:numberOfSpecialPts
      i = specialI(j);
      neighbors(i,1:numberOfSpecialPts) = specialI;
                                     x0 = x(i); 
                                     y0 = y(i);
                                      r = sqrt((x(:)-x0).^2 + (y(:)-y0).^2);
                                 [r,ix] = sort(r);
  neighbors(i,numberOfSpecialPts+1:end) = ix(2:ns+1);       
end   



