

function neighbors = generateFdStencils(x,y,ns)
 
           n = length(x);
   neighbors = zeros(n,ns);
   
   for i=1:n
      x0 = x(i); y0 = y(i);
      r = sqrt((x(:)-x0).^2 + (y(:)-y0).^2);
      [r,ix] = sort(r);
      neighbors(i,1:ns) = ix(2:ns+1);               % don't include the i point   
   end % for i          
            
