    xc = dlmread('frankeProblemCenters.txt',' ');           % centers
     x = dlmread('frankeProblemEvaluationPoints.txt',' ');  % evaluation points
     
     N = length(xc(:,1))
     M = length(x(:,1))
     
         f = frankesFunction(xc(:,1),xc(:,2));
    fExact = frankesFunction(x(:,1),x(:,2));
     shape = 3;
    
        B = systemMatrixMQ2d(xc,shape);
    kappa = cond(B)
    alpha = B\f;
    
          H = evaluationMatrixMQ2d(xc,x,shape);
    fApprox = H*alpha;
    
    format long
    maxError = norm(fApprox - fExact,inf)
    format
    
    t = delaunay(x(:,1),x(:,2));
    trisurf(t,x(:,1),x(:,2),fApprox)
    colormap('Summer')
    
  
