% interpolationFrankeExampleLOOCV

    xc = dlmread('frankeProblemCenters.txt',' ');   
     x = xc(:,1);    y = xc(:,2); 
     N = length(x);
     f = frankesFunction(x,y);
     o = ones(1,N);
     r = sqrt(  (x*o - (x*o)').^2 + (y*o - (y*o)').^2 ); 
 
     [shape,fval] = fminbnd( @(sh) costFunctionShape(sh,r,f), 1 ,5);
     display('optimal shape by LOOCV: '), display(shape)

