%
% notAKnotInterpolationVsStandard

%   clear, home, close all
   
    xc = pointincircle(100);
    xe = pointincircle(290);        % evaluation points
                  
    u = 65./(65 + (xc(:,1) - 0.2).^2 + (xc(:,2) + 0.1).^ 2);               
   ue = 65./(65 + (xe(:,1) - 0.2).^2 + (xe(:,2) + 0.1).^ 2); 
   
   shape = 0.2;
 
               B = systemMatrixMQ2d(xc,shape);                                
           kappa = cond(B)
       
           alpha = B\u;
           
               H = evaluationMatrixMQ2d(xc,xe,shape);
         uapprox = H*alpha;
     
    error = norm(ue - uapprox,inf)
         
   td = delaunay(xe(:,1),xe(:,2)); 
   
   trisurf(td,xe(:,1),xe(:,2),abs(ue - uapprox));
 
