
 function v = rk4(V,t,k,F)

    s1 = feval(F,V,t);                                 
    s2 = feval(F,V + k*s1/2,t+k/2);                     
    s3 = feval(F,V + k*s2/2,t+k/2);                        
    s4 = feval(F,V + k*s3,t+k);                       
             
    v = V + k*(s1 + 2*s2 + 2*s3 + s4)/6;     
    
    
