function cubicSchrodingerMQ()

   A = -10; B = 10;                                  
           dt = 0.0001;  
    finalTime = 20;
            N = 300;  shape = 2;           
            x = linspace(A,B,N)'; 

       o = ones(1,N);
      rx = x*o - (x*o)';   r = abs(rx);   
     Hxx = mqDerivatives(r,rx,shape,2);
        
        B = mq(r,shape);
      dm2 = Hxx/B; 
 
        U = sech(x); 
       hh = plot(x,abs(U),'erasemode','xor');
       set(hh(1),'Color',[0 0 1]);    % numerical in blue
       axis([-10 10 -0.05 2]), xlabel('x'), ylabel('u(x,t)'), pause

    n=0; t=0;
    while n*dt < finalTime
    
          u = rk4(U,t,dt,@F);
          t = t + dt;  n = n+1;  U = u; 
               
          set(hh(1),'ydata',abs(u)),  drawnow
    end  

  
  function fp = F(u,t)
    fp = ( -dm2*u - 8*((abs(u)).^2).*u )/i;
  end

end



  
  
