
function v = dtvFilter(u0,lambda,timeSteps)

     a = (1e-4)^2;
     N = length(u0);
     v = u0; U = u0;
      
     dt = 0.02;

     k = 1;
     s = zeros(1,N);
     j = 2:N-1;
     i = 2:N-1;
     while k <= timeSteps
  
        s(1) = sqrt(        0         + (U(2)  -U(1)).^2 + a );
        s(j) = sqrt( (U(j-1)-U(j)).^2 + (U(j+1)-U(j)).^2 + a );
        s(N) = sqrt( (U(N-1)-U(N)).^2 +        0         + a );
  

         v(i) = U(i) + dt*(  ( U(i+1) - U(i) ).*( 1 + s(i)./s(i+1) ) + ...
                             ( U(i-1) - U(i) ).*( 1 + s(i)./s(i-1) ) - ...
                             lambda.*s(i).*( U(i) - u0(i) )               );

        v(N) = u0(N);
        v(1) = u0(1);

        k = k+1;  U = v; 
   
     end  % while
 
end



  
  
