       N = 70;  M = 200;
      xc = linspace(-1,1,N)';
       x = linspace(-1,1,M)';
       h = @(x) sin(x).*(x<=0) + cos(x).*(x>0);
       f = h(xc);
  fExact = h(x);
    shape = 4.5;
    
    B = systemMatrix(xc,shape);
    H = evaluationMatrix(xc,x,shape);
    
     lambda = B\f;
    fApprox = H*lambda;
    
    S = [-1 0 1];   % endpoints and discontinuity locations
    L = [4 4];
    m = [4 4];
    
    fg = grpRbf(S,L,m,lambda,x,xc,shape);
    
     maxError = max(abs(fApprox - fExact))
    maxErrorPP = max(abs(fg - fExact))
    
    semilogy(x,abs(fApprox - fExact),'b',x,abs(fg - fExact),'r')
    xlabel 'x', ylabel '|error|'
  
