  shape = 5;
      M = 298;
      x = linspace(-1,1,M)';
 fExact = exp(sin(pi*x));
     dc = 0.025;
   minK = 1e15;
   maxK = 1e17;
      n = 10:5:100;
      warning off
  
  for k = 1:length(n);
  
      N = n(k);
     xc = linspace(-1,1,N)';
      f = exp(sin(pi*xc));
   
      K = 1;
      while (K<minK | K>maxK)     
          B = systemMatrixMQ(xc,shape);     
          K = cond(B);
          if K<minK
              shape = shape - dc;
          elseif K>maxK
              shape = shape + dc;
          end   
       end
      
               H = evaluationMatrixMQ(xc,x,shape);
           alpha = B\f;
         fApprox = H*alpha;
    
     maxError(k) = norm(fApprox - fExact,inf);
     shapeP(k) = shape;
 
  end
  
  semilogy(n,maxError,'b*-')
  xlabel 'N', ylabel '|error|'
  figure
  plot(n,shapeP);
  xlabel 'N', ylabel 'shape, \epsilon'
  warning on
  
  
  
