
% mqVariousShapePlots
 
  clear, home, close all

  r = linspace(0,1);
  
  epsilon = 4;
  mq = sqrt(1 + r.^2.*epsilon^2);
  plot(r,mq,'b')
  
  epsilon = 2;
  mq = sqrt(1 + r.^2.*epsilon^2);
  hold on
  plot(r,mq,'g')
  
  epsilon = 0.5;
  mq = sqrt(1 + r.^2.*epsilon^2);
  hold on
  plot(r,mq,'r')
 
  xlabel 'r', ylabel '\phi(r, \epsilon)'
  legend('\epsilon=4','\epsilon=2','\epsilon=0.5','Location','NorthWest')
  hold off
  
  
