       N = 40;
      xc = linspace(0,1,N)';
       o = ones(1,N);  rh = xc*o - (xc*o)';  r = abs(rh);   %  distance matrix 
   shape = 3;
   
     f = 2*exp(xc) + 4*xc.*exp(xc) + (xc.^2).*exp(xc).*(2*xc.*exp(xc) ...
       + (xc.^2).*exp(xc));
    ex = (xc.^2).*exp(xc);            %  exact solution
     U = alpha + (beta - alpha)*xc;   % initial quess - linear fit between BCs
    
       alpha = 0; beta = exp(1); maxiter = 200; tol = 10e-8; iter = 0;  du = 1;
    
       plot(xc,U), pause   
       
    f(1) = alpha;  f(N) = beta;          % Dirichlet bc at x=0 and x=1   
       
       B = systemMatrix(xc,shape);  
          
          H = zeros(N,N);
     H(1,:) = mq(r(1,:),shape);
 H(2:N-1,:) = mqDerivatives(r(2:N-1,:),rh(2:N-1,:),shape,2) + ...
              diag(U(2:N-1))*mqDerivatives(r(2:N-1,:),rh(2:N-1,:),shape,1) - ...
              B(2:N-1,:);      
     H(N,:) = mq(r(N,:),shape); 
     
 while ( norm(du,inf)> tol )
   
       lambda = H\f;
            u = B*lambda;
           du = norm(U-u,inf);
            U = u;
                   
   H(2:N-1,:) = mqDerivatives(r(2:N-1,:),rh(2:N-1,:),shape,2) + ...
                diag(U(2:N-1))*mqDerivatives(r(2:N-1,:),rh(2:N-1,:),shape,1) ...
                - B(2:N-1,:);   
                  
      iter = iter+1;
      if iter==maxiter, disp('exceeded maximum iterations'), break;  end
    %  plot(xc,u,'b',xc,ex,'r'), pause  % uncomment to animate
   
 end
 plot(xc,u,'b',xc,ex,'r--')
