
 function [x,invA,r,thres] = truncatedSvd(A,b,thres)
 
    [U,S,V] = svd(A);
    sigma = diag(S);
 
    if nargin<3, thres = max(size(A))*eps(max(sigma)); end
    
     r = sum( sigma > thres );        % estimate of numerical rank
    Si = diag( (sigma > thres)./sigma );
  invA = V*Si*U';
     x = V*Si*(U'*b);
  
  
